Skip to main content
POST
/
api
/
v1
/
measurements
/
single_window_photo_add_edit
curl --location 'http://fssportal.com/api/v1/measurements/single_window_photo_add_edit' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": 0,
  "user_id": 68,
  "client_id": 1856,
  "room_id": 4945,
  "measurement_type_id": 1,
  "note": "",
  "installation_instructions": "",
  "unit_type": "Metrix",
  "mount_type": "",
  "window_name": "test",
  "w_top": "",
  "w_middle": "",
  "w_bottom": "",
  "h_left": "",
  "h_middle": "",
  "h_right": "",
  "d_sill": "",
  "left_edge_w": "",
  "right_edge_w": "",
  "top_edge_to_ceiling_h": "",
  "bottom_edge_to_floor_h": "",
  "middle_a_w": "",
  "middle_b_w": "",
  "middle_c_w": "",
  "wall_to_wall_w": "",
  "floor_to_ceiling_h": "",
  "bottom_trim_to_floor": "",
  "square_feet": "",
  "for_shutter": "",
  "focus_width": "",
  "focus_width_key": "",
  "focus_height": "",
  "focus_height_key": "",
  "offset_value": "",
  "offset_value_keys": "",
  "measurement_unique_id": "",
  "min_value_fields": "",
  "total_custom_fields": 0,
  "custom_field": []
}'
{
  "message": "Measurement added successfully!",
  "data": []
}

Endpoint

POST /api/v1/measurements/single_window_photo_add_edit
This endpoint requires authentication

Headers

X-API-Token
string
required
Your API access token. You can also set this globally in the API playground.
platform
string
required
The platform making the request: WEB, IOS, or ANDROID.

Request Body

id
integer
id
user_id
integer
required
user id
client_id
integer
required
client id
room_id
integer
required
room id
measurement_type_id
integer
required
measurement type id
note
string
note
installation_instructions
string
installation instructions
unit_type
string
required
unit type
mount_type
string
mount type
window_name
string
required
Descriptive name for the window.
w_top
string
w top
w_middle
string
w middle
w_bottom
string
w bottom
h_left
string
h left
h_middle
string
h middle
h_right
string
h right
d_sill
string
d sill
left_edge_w
string
left edge w
right_edge_w
string
right edge w
top_edge_to_ceiling_h
string
top edge to ceiling h
bottom_edge_to_floor_h
string
bottom edge to floor h
middle_a_w
string
middle a w
middle_b_w
string
middle b w
middle_c_w
string
middle c w
wall_to_wall_w
string
wall to wall w
floor_to_ceiling_h
string
floor to ceiling h
bottom_trim_to_floor
string
bottom trim to floor
square_feet
string
square feet
for_shutter
string
for shutter
focus_width
string
focus width
focus_width_key
string
focus width key
focus_height
string
focus height
focus_height_key
string
focus height key
offset_value
string
offset value
offset_value_keys
string
offset value keys
measurement_unique_id
string
Optional ID for Solatech Focus integration.
min_value_fields
string
min value fields
total_custom_fields
integer
total custom fields
custom_field
object
custom field

Response

message
string
message
data
array
data
curl --location 'http://fssportal.com/api/v1/measurements/single_window_photo_add_edit' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": 0,
  "user_id": 68,
  "client_id": 1856,
  "room_id": 4945,
  "measurement_type_id": 1,
  "note": "",
  "installation_instructions": "",
  "unit_type": "Metrix",
  "mount_type": "",
  "window_name": "test",
  "w_top": "",
  "w_middle": "",
  "w_bottom": "",
  "h_left": "",
  "h_middle": "",
  "h_right": "",
  "d_sill": "",
  "left_edge_w": "",
  "right_edge_w": "",
  "top_edge_to_ceiling_h": "",
  "bottom_edge_to_floor_h": "",
  "middle_a_w": "",
  "middle_b_w": "",
  "middle_c_w": "",
  "wall_to_wall_w": "",
  "floor_to_ceiling_h": "",
  "bottom_trim_to_floor": "",
  "square_feet": "",
  "for_shutter": "",
  "focus_width": "",
  "focus_width_key": "",
  "focus_height": "",
  "focus_height_key": "",
  "offset_value": "",
  "offset_value_keys": "",
  "measurement_unique_id": "",
  "min_value_fields": "",
  "total_custom_fields": 0,
  "custom_field": []
}'
{
  "message": "Measurement added successfully!",
  "data": []
}

Notes

  • Authentication is required